import Head from "next/head";

import { useState } from "react";
import { NavComponent } from "./components/NavComponent";
import { FourGridImages } from "./components/FourGridImages";
import { Intro } from "./components/Intro";
import { CardCustom } from "./components/CardCustom";
import { TextDescription } from "./components/TextDescription";

export default function Home() {
  const [darkMode, setDarkMode] = useState(false);

  return (
    <div className={darkMode ? "dark" : ""}>
      <Head>
        <title>React Learning - Fx</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>
      <main className=" bg-white px-10 dark:bg-gray-900 md:px-20 lg:px-40">
        <section className="min-h-screen">
         
         <NavComponent />
         <Intro name="The Astrocat" role="CatSpace Engineer" description="It's time for The Astrocat to get the memorial she rightly deserves" />
        
        </section>
        
        <section>
        
        <TextDescription title="Lorem Ipsum" d1="Voluptate anim exercitation laborum officia sit eiusmod veniam laboris eu. Consectetur reprehenderit aliqua aliqua aliqua et minim aute consequat eu reprehenderit eu sit id enim. Lorem officia cupidatat dolor adipisicing."
          d2="Minim officia nostrud nostrud adipisicing sunt et est ipsum sint excepteur sint ad eiusmod." />
          
          <div className="lg:flex gap-10">
            <CardCustom imagedes="1" title="Meow1" desc="Reprehenderit non sunt excepteur occaecat occaecat in ex ut tempor do magna voluptate mollit ad." data_title="Hello There!" data={['Aa', 'Bb', 'Cc', 'Dd']} />
            <CardCustom imagedes="3" title="Meow1" desc="Reprehenderit non sunt excepteur occaecat occaecat in ex ut tempor do magna voluptate mollit ad." data_title="Hello There!" data={['Aaa', 'Bbb', 'Ccc', 'Ddd']} />
            <CardCustom imagedes="2" title="Meow1" desc="Reprehenderit non sunt excepteur occaecat occaecat in ex ut tempor do magna voluptate mollit ad." data_title="Hello There!" data={['Aaaa', 'Bbbb', 'Cccc', 'Dddd']} />
          </div>
        
        </section>
        <section className="py-10">
          
          <TextDescription title="Lorem Ipsum x2" d1="Irure adipisicing adipisicing ipsum eiusmod duis nostrud elit exercitation ex aute veniam. Nisi magna magna nisi culpa aute laboris id laboris minim laboris enim duis. Aute minim officia adipisicing quis laboris id enim ex ex. Mollit commodo reprehenderit labore aute velit mollit nulla dolor aliquip sunt eu dolore excepteur laboris. Amet mollit do ut ea do cupidatat incididunt magna adipisicing nisi."
          d2="Minim officia nostrud nostrud adipisicing sunt et est ipsum sint excepteur sint ad eiusmod." />
          <FourGridImages />
         
        </section>
      </main>
    </div>
  );
}
